## model
Class CountryListFile

    java.lang.Object
      java.io.File
          model.CountryListFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

    public class CountryListFile

extends java.io.File

Class is used to read a country list from a file.

See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` UID for parallelism testing

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`protected` `CountryListFile()` Constructor creates a new CountryListFile based on the country list file specified in Settings.

Method Summary
`protected Country[]` `getCountryList()` Method parses the country list file and creates Country objects that are essentially country code - country list pairs.

Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  UID for parallelism testing

  See Also:
    Constant Field Values

Constructor Detail

### CountryListFile

    protected CountryListFile()

  Constructor creates a new CountryListFile based on the country list file specified in Settings.

Method Detail

### getCountryList

    protected Country[] getCountryList()

  Method parses the country list file and creates Country objects that are essentially country code - country list pairs.

  Returns:
    an array of Country objects